Page MenuHomePhabricator

VisualEditorFeatureUse Migration to MP
Open, Needs TriagePublic

Description

Goal: Migrate VisualEditorFeatureUse Schema to the metrics platform.
Tasks
  • Configured a stream using the Metrics Platform Client to duplicate the data captured by the current EditAttemptStep Schema
  • Have the MP the data its collecting to a hive table.
  • Have Product Analytics validate the data is being collected correctly

Event Timeline

Change 801733 had a related patch set uploaded (by Phuedx; author: Phuedx):

[mediawiki/extensions/DiscussionTools@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

https://gerrit.wikimedia.org/r/801733

Here's the example stream configuration that I landed on while working through the migration:

LocalSettings.php
// At the time of writing, per [0], $wgDTEditAttemptStepOversample is always true and so $wgDTEditAttemptStepSampleRate is always 1.
//
// FIXME: Should wgDTEditAttemptStepSampleRate and $wgDTEditAttemptStepOversample be removed?
//
// [0] https://gerrit.wikimedia.org/g/operations/mediawiki-config/+/d9079d6cb153d5b24e602842861cb5a93908773b/wmf-config/InitialiseSettings.php#20404

$wgDTSchemaEditAttemptStepSamplingRate = 0;
$wgDTSchemaEditAttemptStepOversample = true;

$wgWMESchemaEditAttemptStepOversample = false;
$wgWMESchemaEditAttemptStepSamplingRate = 0.0625;

// Per https://gerrit.wikimedia.org/g/mediawiki/extensions/DiscussionTools/+/c8dac438be02dffa8832c151aa55b1e1590b561d/modules/logger.js#33
$wgDTEditAttemptStepSampleRate = $wgDTSchemaEditAttemptStepSamplingRate || $wgWMESchemaEditAttemptStepSamplingRate;

// Per https://gerrit.wikimedia.org/g/mediawiki/extensions/DiscussionTools/+/c8dac438be02dffa8832c151aa55b1e1590b561d/modules/logger.js#246
if ( $wgDTSchemaEditAttemptStepOversample || $wgWMESchemaEditAttemptStepOversample ) {
  $wgDTEditAttemptStepSampleRate = 1;
}

$wgEventStreams = [
  [
    'stream' => 'discussion_tools.visual_editor_feature_usage',
    'schema_title' => '/analytics/mediawiki/client/metrics_event',
    'destination_event_service' => 'eventgate-analytics-external',
    'sample' => [
      'unit' => 'pageview',
      'rate' => $wgDTEditAttemptStepSampleRate,
    ],
    'producers' => [
      'metrics_platform_client' => [
        'events' => [
          'vefu.',
        ],
        'provide_values' => [
          'performer_id',
          'performer_edit_count',
          'agent_client_platform_family',
        ],
      ],
    ],
  ],
];

Change 801733 abandoned by Phuedx:

[mediawiki/extensions/DiscussionTools@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

Reason:

https://gerrit.wikimedia.org/r/801733

phuedx moved this task from To be prioritised to Ready/Groomed on the Metrics-Platform-Planning board.
phuedx added a subscriber: phuedx.

Yesterday, I spoke with @EChetty about potentially removing the client-side downsampling for the VisualEditorFeatureUse instrumentation and what that would mean in terms of event rate. So…

In the last 7 days, the maximum event rate was 1100 events/minute or 19 events/second and an average event rate of 7 events/second. The lowest sampling rate for the instrument is 6.25% of all editing sessions. Assuming that all editing sessions submit roughly the same number of events, then we should expect a maximum event rate of 304 events/second and an average event rate of 112 events/second.

Change 801733 restored by Phuedx:

[mediawiki/extensions/DiscussionTools@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

https://gerrit.wikimedia.org/r/801733

Change 837652 had a related patch set uploaded (by Phuedx; author: Phuedx):

[mediawiki/extensions/MobileFrontend@master] schemaVisualEditorFeatureUse: Also log via Metrics Platform

https://gerrit.wikimedia.org/r/837652

Change 837666 had a related patch set uploaded (by Phuedx; author: Phuedx):

[mediawiki/extensions/VisualEditor@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

https://gerrit.wikimedia.org/r/837666

Reached out to Editing team in #humansoftheweb channel for their consent before merging associated patches in DiscussionTools + VisualEditor + MobileFrontend.

Tested aforementioned patches and all lgtm so I will merge shortly hopefully with Editing team's imminent blessing.

Change 801733 merged by jenkins-bot:

[mediawiki/extensions/DiscussionTools@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

https://gerrit.wikimedia.org/r/801733

Change 837666 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] logger: Also log VisualEditorFeatureUsage events via Metrics Platform

https://gerrit.wikimedia.org/r/837666

Change 837652 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] schemaVisualEditorFeatureUse: Also log via Metrics Platform

https://gerrit.wikimedia.org/r/837652

Change 851128 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Add MP stream for VisualEditorFeatureUse instrument

https://gerrit.wikimedia.org/r/851128

Change 851128 merged by jenkins-bot:

[operations/mediawiki-config@master] Add MP stream for VisualEditorFeatureUse instrument

https://gerrit.wikimedia.org/r/851128

Mentioned in SAL (#wikimedia-operations) [2022-11-01T20:21:21Z] <cjming@deploy1002> Started scap: Backport for [[gerrit:851128|Add MP stream for VisualEditorFeatureUse instrument (T309602)]]

Mentioned in SAL (#wikimedia-operations) [2022-11-01T20:21:34Z] <cjming@deploy1002> cjming and cjming: Backport for [[gerrit:851128|Add MP stream for VisualEditorFeatureUse instrument (T309602)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-11-01T20:26:52Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:851128|Add MP stream for VisualEditorFeatureUse instrument (T309602)]] (duration: 04m 36s)

Change 851723 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Update config for Metrics Platform VEFU events

https://gerrit.wikimedia.org/r/851723

Change 851723 merged by jenkins-bot:

[operations/mediawiki-config@master] testwiki: Add mediawiki.visual_editor_feature_use stream

https://gerrit.wikimedia.org/r/851723

Mentioned in SAL (#wikimedia-operations) [2022-11-02T13:04:47Z] <cjming@deploy1002> Started scap: Backport for [[gerrit:851723|testwiki: Add mediawiki.visual_editor_feature_use stream (T309602)]]

Mentioned in SAL (#wikimedia-operations) [2022-11-02T13:05:22Z] <cjming@deploy1002> cjming and cjming: Backport for [[gerrit:851723|testwiki: Add mediawiki.visual_editor_feature_use stream (T309602)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-11-02T13:10:03Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:851723|testwiki: Add mediawiki.visual_editor_feature_use stream (T309602)]] (duration: 04m 56s)

Change 852254 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Add config for Visual Editor Feature Use instrument

https://gerrit.wikimedia.org/r/852254

Change 852254 merged by jenkins-bot:

[operations/mediawiki-config@master] testwiki: Add config for Visual Editor Feature Use instrument

https://gerrit.wikimedia.org/r/852254

Mentioned in SAL (#wikimedia-operations) [2022-11-07T14:01:49Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:852254|testwiki: Add config for Visual Editor Feature Use instrument (T309602)]]

Mentioned in SAL (#wikimedia-operations) [2022-11-07T14:02:09Z] <urbanecm@deploy1002> urbanecm and cjming: Backport for [[gerrit:852254|testwiki: Add config for Visual Editor Feature Use instrument (T309602)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-11-07T14:08:33Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:852254|testwiki: Add config for Visual Editor Feature Use instrument (T309602)]] (duration: 06m 43s)

Ran this query earlier in Hue (11/7 is when the latest missing config got deployed for testwiki):

SELECT * FROM mediawiki_visual_editor_feature_use WHERE year=2022 AND month=11 AND day>7;

which returned 77 rows -- here's a sampling of the results:

_schemaagentcustom_datadthttpmediawikimetanamepageperformeruser_agent_mapis_wmf_domainnormalized_hostdatacenteryearmonthdayhour
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"editor-switch"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"wikitext-2017"},"integration":{"data_type":"string","value":"discussiontools"}}2022-11-08T20:21:58.568Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"},"response_headers":null,"status_code":null}{"database":null,"is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-08T20:22:23.093Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.visual-desktop{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":1,"edit_count_bucket":null,"groups":null,"id":47306,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"106","browser_family":"Chrome","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}codfw202211820
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"editor-switch"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"wikitext-2017"},"integration":{"data_type":"string","value":"discussiontools"}}2022-11-08T20:21:53.031Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"},"response_headers":null,"status_code":null}{"database":null,"is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-08T20:22:23.088Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.visual-desktop{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":1,"edit_count_bucket":null,"groups":null,"id":47306,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"106","browser_family":"Chrome","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}codfw202211820
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"editor-switch"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"discussiontools"}}2022-11-08T20:22:00.369Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"},"response_headers":null,"status_code":null}{"database":null,"is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-08T20:22:23.094Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.source-nwe-desktop{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":1,"edit_count_bucket":null,"groups":null,"id":47306,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"106","browser_family":"Chrome","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}codfw202211820
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"mwSave"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"page"}}2022-11-09T10:17:50.575Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:108.0) Gecko/20100101 Firefox/108.0"},"response_headers":null,"status_code":null}{"database":"testwiki","is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-09T10:17:54.016Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.window-open-from-command{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":151,"edit_count_bucket":null,"groups":null,"id":40269,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"108","browser_family":"Firefox","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}eqiad202211910
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"mwSave"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"page"}}2022-11-09T10:18:13.478Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:108.0) Gecko/20100101 Firefox/108.0"},"response_headers":null,"status_code":null}{"database":"testwiki","is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-09T10:18:16.109Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.dialog-save{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":152,"edit_count_bucket":null,"groups":null,"id":40269,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"108","browser_family":"Firefox","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}eqiad202211910
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"mwSave"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"page"}}2022-11-09T10:17:51.516Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:108.0) Gecko/20100101 Firefox/108.0"},"response_headers":null,"status_code":null}{"database":"testwiki","is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-09T10:17:54.016Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.dialog-save{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":151,"edit_count_bucket":null,"groups":null,"id":40269,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"108","browser_family":"Firefox","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}eqiad202211910
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"mwSave"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"page"}}2022-11-09T10:18:12.522Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:108.0) Gecko/20100101 Firefox/108.0"},"response_headers":null,"status_code":null}{"database":"testwiki","is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-09T10:18:16.111Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.window-open-from-command{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":152,"edit_count_bucket":null,"groups":null,"id":40269,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Mac OS X","os_major":"10","os_minor":"15","browser_major":"108","browser_family":"Firefox","device_family":"Mac","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}eqiad202211910
NULL{"app_install_id":null,"client_platform":"mediawiki_js","client_platform_family":"desktop_browser"}{"feature":{"data_type":"string","value":"reference"},"editing_session_id":{"data_type":"string","value":"redacted"},"editor_interface":{"data_type":"string","value":"visualeditor"},"integration":{"data_type":"string","value":"page"}}2022-11-09T11:10:57.606Z{"has_cookies":null,"method":null,"protocol":null,"request_headers":{"user-agent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36"},"response_headers":null,"status_code":null}{"database":"testwiki","is_debug_mode":null,"is_production":null,"site_content_language":null,"site_content_language_variant":null,"skin":null,"version":null}{"domain":"test.wikipedia.org","dt":"2022-11-09T11:11:02.706Z","id":"redacted","request_id":"redacted","stream":"mediawiki.visual_editor_feature_use","uri":null}vefu.context-show{"title":null,"content_language":null,"id":null,"is_redirect":null,"namespace":null,"namespace_name":null,"revision_id":null,"user_groups_allowed_to_edit":null,"user_groups_allowed_to_move":null,"wikidata_id":null}{"can_probably_edit_page":null,"edit_count":null,"edit_count_bucket":null,"groups":null,"id":0,"is_bot":null,"is_logged_in":null,"language":null,"language_variant":null,"name":null,"pageview_id":null,"registration_dt":null,"session_id":null}{"os_family":"Windows","os_major":"10","os_minor":"-","browser_major":"107","browser_family":"Chrome","device_family":"Other","wmf_app_version":"-"}TRUE{"project_class":"wikipedia","project":"test","qualifiers":[],"tld":"org","project_family":"wikipedia"}eqiad202211911

The following properties presumably should be populated? I'll look into these further and file tickets if needed.

under _schema - known issue T255818: Refine drops $schema field values
under mediawiki - database returning null
under meta - uri returning null
under page - all properties returning null
under performer - most properties returning null

The custom_data properties are getting populated so that's encouraging.

If/when the data looks acceptable @EChetty, just lmk and I can deploy to wider wikis.

The following properties presumably should be populated? I'll look into these further and file tickets if needed.

Not necessarily. If you look at the monoschema, you'll notice that the agent, page, mediawiki, performer, and custom_data properties (and their properties also) are not required. AIUI missing properties will be set to their default value – null in this case – during refinement.

under mediawiki - database returning null

We updated all Metrics Platform Client configurations to mix in the mediawiki_database context attribute yesterday in rOMWC81a338091846: Update Metrics Platform streams. Looking at the mediawiki_visual_editor_feature_use and mediawiki_edit_attempt tables, the patch has taken effect:

[0]
+-----+----+--------+
| day | n  | n_null |
+-----+----+--------+
|   2 |  3 |      3 |
|   3 |  2 |      2 |
|   7 | 13 |     13 |
|   8 | 70 |     70 |
|   9 | 21 |      2 |
|  10 |  2 |      0 |
+-----+----+--------+

select
  day,
  sum(1) as n,
  sum(if(mediawiki.`database` is null, 1, 0)) as n_null
from
  event.mediawiki_visual_editor_feature_use
where
  year = 2022
  and month = 11
group by
  day
order by
  day asc
limit 10000
;
[1]
+-----+--------+--------+
| day |   n    | n_null |
+-----+--------+--------+
|   1 |     75 |     75 |
|   2 |     79 |     79 |
|   3 |    268 |    268 |
|   4 |      8 |      8 |
|   5 |     30 |     30 |
|   6 |      8 |      8 |
|   7 |     33 |     33 |
|   8 |    139 |    139 |
|   9 | 290463 |   2892 |
|  10 |  65656 |      0 |
+-----+--------+--------+

select
  day,
  sum(1) as n,
  sum(if(mediawiki.`database` is null, 1, 0)) as n_null
from
  event.mediawiki_edit_attempt
where
  year = 2022
  and month = 11
group by
  day
order by
  day asc
limit 10000
;

under meta - uri returning null
under page - all properties returning null

This is expected. The Metrics Platform Client has not been configured to mix in page-related context attributes for this stream.

under performer - most properties returning null

This is expected. The Metrics Platform Client has only been configured to mix in user ID and user edit count for this stream. The data in the mediawiki_visual_editor_feature_use table appears to reflect this:

sql
+-----+----+---------------------+-----------------------------+
| day | n  | n_performer_id_null | n_performer_edit_count_null |
+-----+----+---------------------+-----------------------------+
|   2 |  3 |                   0 |                           0 |
|   3 |  2 |                   0 |                           0 |
|   7 | 13 |                   0 |                           1 |
|   8 | 70 |                   0 |                           0 |
|   9 | 21 |                   0 |                           3 |
|  10 |  2 |                   0 |                           2 |
+-----+----+---------------------+-----------------------------+

select
  day,
  sum(1) as n,
  sum(if(performer.id is null, 1, 0)) as n_performer_id_null,
  sum(if(performer.edit_count is null, 1, 0)) as n_performer_edit_count_null
from
  event.mediawiki_visual_editor_feature_use
where
  year = 2022
  and month = 11
group by
  day
order by
  day asc
limit 10000
;